USN-5188-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5188-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5188-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5188-1
Related
Published
2021-12-13T16:03:59.855970Z
Modified
2021-12-13T16:03:59.855970Z
Summary
keepalived vulnerability
Details

It was discovered that Keepalived incorrectly handled certain messages. An attacker could possibly use this issue to access-control bypass.

References

Affected packages

Ubuntu:20.04:LTS / keepalived

Package

Name
keepalived

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:2.0.19-2ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "keepalived": "1:2.0.19-2ubuntu0.1"
        }
    ]
}

Ubuntu:18.04:LTS / keepalived

Package

Name
keepalived

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:1.3.9-1ubuntu0.18.04.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "keepalived": "1:1.3.9-1ubuntu0.18.04.3"
        }
    ]
}